Genivia - wstx.h File Reference

|  | Home | Documentation | wstx.h File Reference updated Thu Apr 15 2021 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- File List
- File Members

Classes | Functions
wstx.h File Reference
This graph shows which files directly or indirectly include this file:

## Classes
struct | SOAP_ENV__Header
| This global attribute is used to indicate the usage of a referenced or indicated token within the containing context '_wsse__Usage' attribute definition intentionally left blank. More...

## Functions
int | __wst__RequestSecurityToken (struct wst__RequestSecurityTokenType *wst__RequestSecurityToken, struct wst__RequestSecurityTokenResponseType *wst__RequestSecurityTokenResponse)
int | __wst__RequestSecurityTokenResponse (struct wst__RequestSecurityTokenResponseType *wst__RequestSecurityTokenResponse, struct wst__RequestSecurityTokenResponseCollectionType *wst__RequestSecurityTokenResponseCollection)
int | __wst__RequestSecurityTokenCollection (struct wst__RequestSecurityTokenCollectionType *wst__RequestSecurityTokenCollection, struct wst__RequestSecurityTokenResponseCollectionType *wst__RequestSecurityTokenResponseCollection)

## Function Documentation

int __wst__RequestSecurityToken | ( | struct wst__RequestSecurityTokenType * | wst__RequestSecurityToken,
|  | struct wst__RequestSecurityTokenResponseType * | wst__RequestSecurityTokenResponse
| ) |  |

Parameters

  wst__RequestSecurityToken | request message
  wst__RequestSecurityTokenResponse | response message

int __wst__RequestSecurityTokenCollection | ( | struct wst__RequestSecurityTokenCollectionType * | wst__RequestSecurityTokenCollection,
|  | struct wst__RequestSecurityTokenResponseCollectionType * | wst__RequestSecurityTokenResponseCollection
| ) |  |

Parameters

  wst__RequestSecurityTokenCollection | request message
  wst__RequestSecurityTokenResponseCollection | response message

int __wst__RequestSecurityTokenResponse | ( | struct wst__RequestSecurityTokenResponseType * | wst__RequestSecurityTokenResponse,
|  | struct wst__RequestSecurityTokenResponseCollectionType * | wst__RequestSecurityTokenResponseCollection
| ) |  |

Parameters

  wst__RequestSecurityTokenResponse | request message
  wst__RequestSecurityTokenResponseCollection | response message